Bug 1007784 - Windows template created on 3.2 setup has Single PCI checked after import to 3.3
Windows template created on 3.2 setup has Single PCI checked after import to 3.3
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Shahar Havivi
Pavel Novotny
virt
: Triaged
Depends On:
Blocks: 3.3snap1
  Show dependency treegraph
 
Reported: 2013-09-13 06:04 EDT by Dušan Kajan
Modified: 2014-03-30 21:27 EDT (History)
12 users (show)

See Also:
Fixed In Version: is19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 19443 None None None Never
oVirt gerrit 19517 None None None Never

  None (edit)
Description Dušan Kajan 2013-09-13 06:04:53 EDT
Description of problem:
After importing a windows template created on 3.2 (or 3.3 before is14) to 3.3 setup, 3.2 compatibility cluster, the template have the option Single PCI checked (the templates created from blank templates on is14 have the box unchecked). This is causing that the VM from this template cannot be created, giving error : Cannot add VM. Cluster does not support Single Qxl Pci devices.

Version-Release number of selected component (if applicable):
3.3 is14

How reproducible:
100%

Steps to Reproduce:
1. Have template created on 3.2 on export domain
2. Import template to 3.3 setup, 3.2 compatibility cluster
3. In Edit option of template, console tab look at Single PCI checkbox

Actual results:
The box is checked

Expected results:
The box should not be checked

Additional info:
Comment 1 Shahar Havivi 2013-09-22 10:10:38 EDT
posted at:
http://gerrit.ovirt.org/#/c/19443/
Comment 3 Michal Skrivanek 2013-09-23 08:13:45 EDT
won't it be still an issue on Linux? In cluster level 3.2 we won't support single QXL either
Comment 4 Shahar Havivi 2013-09-23 08:38:51 EDT
(In reply to Michal Skrivanek from comment #3)
> won't it be still an issue on Linux? In cluster level 3.2 we won't support
> single QXL either
yes...
Comment 6 Shahar Havivi 2013-09-23 10:33:33 EDT
posted at 
http://gerrit.ovirt.org/#/c/19473/
Comment 11 Pavel Novotny 2013-10-22 05:39:51 EDT
Please fill in Fixed In Version.
Comment 12 Eyal Edri 2013-10-22 05:47:25 EDT
if this was moved to ON_QA, it means it's fixed in latest_is build (IS19).
added the info, but this really shouldn't block you from testing it on latest build. 

bugs shouldn't move to ON_QA if they are not delivered yet.
Comment 13 Pavel Novotny 2013-10-22 06:49:14 EDT
(In reply to Eyal Edri from comment #12)
> if this was moved to ON_QA, it means it's fixed in latest_is build (IS19).

Latest IS is not enough, it's not a particular version, it keeps changing every week.

> added the info, but this really shouldn't block you from testing it on
> latest build. 

I cannot work with assumptions, I need to work with facts, it makes the QA process more reliable.
It's common practice across all Red Hat products to specify in which version a bug has been fixed (i.e., Fixed In Version field or Errata tracker).
I am not touching any BZ that has not specified this information.

> 
> bugs shouldn't move to ON_QA if they are not delivered yet.
Comment 14 Pavel Novotny 2013-10-23 11:07:46 EDT
Verified in rhevm-3.3.0-0.27.beta1.el6ev.noarch (is19).

Imported Windows templates have Single PCI unchecked. It is also no longer possible to enable Single PCI on non Linux systems (for both, VMs and templates).
Comment 15 Itamar Heim 2014-01-21 17:27:31 EST
Closing - RHEV 3.3 Released
Comment 16 Itamar Heim 2014-01-21 17:27:45 EST
Closing - RHEV 3.3 Released
Comment 17 Itamar Heim 2014-01-21 17:30:36 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.